Mailly文档

Edit content while paused

PATCH
/campaigns/{campaignKey}/content

Updates subject/html/text; queued but undelivered messages are rebuilt with the new content_revision on resume.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

campaignKey*string

campaign stable key

Request Body

application/json
  1. body
subject?string
html?string|null
text?string|null
[key: string]?unknown

Response Body

Updated

application/json
  1. response
success*boolean
changed*boolean
campaign*
deferredRecipientCount*number
[key: string]?unknown
curl -X PATCH 'https://api.mailly.site/campaigns/string/content' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "changed": true,  "campaign": {    "property1": null,    "property2": null  },  "deferredRecipientCount": 0,  "property1": null,  "property2": null}